


/****************************************************************************
;
; NAME: ostypes.h
;
;
; DESCRIPTION:
;
;       Platform-dependent data types & such
;
;
; REVISION HISTORY:
;
;       $Log: /EpciFC3/Linux/driver/ostypes.h $
; 
; 10    12/04/07 3:04p Jseba
; Define OS_USE_LOCK_QUEUES
; 
; 9     4/27/07 4:54p Jseba
; Removed inaccurate copyright notice
; 
; 8     9/27/06 9:41a Jseba
; Fix FREEBSD ifdef
; 
; 7     9/05/06 5:12p Jseba
; Fix inline for FreeBSD 4
; 
; 6     8/31/06 2:37p Jseba
; FreeBSD fixes
; 
; 5     8/31/06 10:20a Jseba
; Add INLINE
; 
; 4     8/28/06 11:16a Jseba
; Complete overhaul, most things moved to hwtypes.h
; 
; 3     6/21/06 11:11a Jseba
; Reworked for new include files
; 
; 2     3/07/05 5:16p Jseba
; Update for new hwtypes.h
; 
; 1     10/24/03 2:12p Jseba
; Initial entry
; 
;
;
; THIS PROGRAM AND THE INFORMATION CONTAINED HEREIN IS THE PROPERTY OF
; ATTO TECHNOLOGY, INC. AND SHALL NOT BE REPRODUCED, COPIED, OR USED IN
; WHOLE OR IN PART OTHER THAN AS PROVIDED FOR IN THE LICENSE AGREEMENT
; PURSUANT TO WHICH IT WAS FURNISHED.
;
; COPYRIGHT (c) ATTO TECHNOLOGY, INC. 2003-2007
; ALL RIGHTS RESERVED.
;
;***************************************************************************/


#ifndef _OSTYPES_H_
#define _OSTYPES_H_

#define OS_USE_LOCK_QUEUES
#define OS_LOCK_STATE  unsigned long
typedef unsigned char  UCHAR;

#ifdef FREEBSD
#if __FreeBSD__ == 4
#define INLINE         static __inline
#else
#define INLINE         static inline
#endif

#include <sys/param.h>
#endif

#include <hwtypes.h>


#endif /* __OSGLOBAL_H__ */
